This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 23316 - ISR detach/attach race
ISR detach/attach race
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Reference Guide (Show other bugs)
CVS
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-04 09:53 EST by Jesper Skov
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 11:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-01-04 09:53:02 EST
Jesper Skov wrote:
> 
> Shouldn't the void Cyg_Interrupt::attach(void)/detach(void) functions
> disable interrupts? Otherwise they are not thread safe - and I don't
> believe there's any documentation that requires that all interrupt
> handlers must be set up before the scheduler starts [and even if there
> was, there should be an assertion to that effect].
> 
> Also, there's the potential for a race between those functions and an
> interrupt causing a chained list to be iterated.
[jifl:]
I would have thought the assumption is that it is up to the *caller* of
Cyg_Interrupt::attach/detach to disable interrupts if that's what's needed.
And in most cases the interrupt would be unmasked after it's attached
(unless there are chained ISRs, but that's for the user to worry about).

Perhaps the solution you really want is documentation?
Comment 1 Alex Schuilenburg 2003-06-20 11:49:32 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id>23316

Note You need to log in before you can comment on or make changes to this bug.